#ifndef _H_sethook_example
#define _H_sethook_example
/*
 * Copyright (c) 2008 - 2012, Andy Bierman, All Rights Reserved.
 * Copyright (c) 2012 - 2020, YumaWorks, Inc., All Rights Reserved.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *

    Combined SIL header
    module sethook-example
    revision 2020-12-14
    namespace http://netconfcentral.org/ns/sethook-example
    Created: 2020-04-12T20:52:14Z
    CLI parameters:
        format h
        indent 4
        module sethook-example
        output sethook-example.h
        sil-edit2
        sil-get2
        unified true

 */

#include <xmlstring.h>

#include "dlq.h"
#include "ncxtypes.h"
#include "op.h"
#include "status.h"
#include "val.h"

#ifdef __cplusplus
extern "C" {
#endif

#define y_sethook_example_M_sethook_example (const xmlChar *)"sethook-example"

#define y_sethook_example_R_sethook_example (const xmlChar *)"2020-12-14"

#define y_sethook_example_N_admin_state (const xmlChar *)"admin-state"
#define y_sethook_example_N_hook_node (const xmlChar *)"hook-node"
#define y_sethook_example_N_interface (const xmlChar *)"interface"
#define y_sethook_example_N_interfaces (const xmlChar *)"interfaces"
#define y_sethook_example_N_name (const xmlChar *)"name"
#define y_sethook_example_N_speed (const xmlChar *)"speed"
#define y_sethook_example_N_state (const xmlChar *)"state"
#define y_sethook_example_N_status (const xmlChar *)"status"
#define y_sethook_example_N_trigger (const xmlChar *)"trigger"


/* container /interfaces/interface/state */
typedef struct y_sethook_example_T_interfaces_interface_state_ {
    boolean v_admin_state;
} y_sethook_example_T_interfaces_interface_state;

/* list /interfaces/interface */
typedef struct y_sethook_example_T_interfaces_interface_ {
    dlq_hdr_t qhdr;
    xmlChar *v_name;
    xmlChar *v_speed;
    uint32 v_hook_node;
    y_sethook_example_T_interfaces_interface_state v_state;
} y_sethook_example_T_interfaces_interface;

/* container /interfaces */
typedef struct y_sethook_example_T_interfaces_ {
    dlq_hdr_t v_interface;
    xmlChar *v_status;
} y_sethook_example_T_interfaces;

/********************************************************************
* FUNCTION y_sethook_example_init
*
* initialize the sethook-example server instrumentation library
*
* INPUTS:
*    modname == requested module name
*    revision == requested version (NULL for any)
*
* RETURNS:
*     error status
********************************************************************/
extern status_t y_sethook_example_init (
    const xmlChar *modname,
    const xmlChar *revision);

/********************************************************************
* FUNCTION y_sethook_example_init2
*
* SIL init phase 2: non-config data structures
* Called after running config is loaded
*
* RETURNS:
*     error status
********************************************************************/
extern status_t y_sethook_example_init2 (void);

/********************************************************************
* FUNCTION y_sethook_example_cleanup
*    cleanup the server instrumentation library
*
********************************************************************/
extern void y_sethook_example_cleanup (void);

#ifdef __cplusplus
} /* end extern 'C' */
#endif

#endif
